{% load i18n %}

{% comment %}

Context variables:
    model: ItemListModel instance

{% endcomment %}

{# View style buttons #}

    {% if not model.hide_toolbar %}
    <div class="toolbar wide">

        {% if model.back_url %}
          <a href="{{ model.back_url }}" class="btn btn-default">Back</a>
        {% endif %}

        {% if model.create_url %}

            <a href="{{ model.create_url }}" class="btn btn-default"
               rel="tooltip" data-original-title="{{ model.create_tooltip }}">
                <span class="{{ ICONS.create }}"></span>
                {{ model.create_text }}
            </a>

        {% endif %}

        {% if help_link_url %}

            <div class="pull-right help-icon">
                <a href="{{help_link_url}}" target='_blank'>
                    <span class="{{ ICONS.help }}"></span>
                </a>
            </div>

        {% endif %}
        <!--
        <div class="pull-right">
            <div class="btn-group">
                <a href="#items-{{ model.id|default:1 }}-th-pane" data-toggle="tab" class="btn btn-default"
                   rel="tooltip" data-original-title="{% trans "View as items" %}">
                    <span class="icon {{ ICONS.icons }}"></span>
                </a>
                <a href="#items-{{ model.id|default:1 }}-details-pane" data-toggle="tab" class="btn btn-default"
                   rel="tooltip" data-original-title="{% trans "View as details" %}">
                    <span class="icon {{ ICONS.table }}"></span>
                </a>
            </div>
        </div>
        -->
        <div class="clearfix"></div>
    </div>
    {% endif %}


<div class="tab-content">

    {% if view == "cards" %}
        {# Cards #}
        <div class="tab-pane fade in active" id="items-{{ model.id|default:1 }}-th-pane">
            <div class="item-card-list">

                {% if model.create_url %}
                    <a href="{{ model.create_url }}" class="item-card item-card-create"
                       rel="tooltip" data-original-title="{{ model.create_tooltip }}">
                        <span class="icon {{ ICONS.create }}"></span>

                        <div>
                            {{ model.create_text }}
                        </div>
                    </a>
                {% endif %}

                {% for item in model.items %}
                    <a href="{{ item.url }}" class="item-card {{ item.html_class }}">
                        <span class="icon {{ item.icon_class }} pull-right"></span>

                        <div class="title">{{ item.name }}</div>
                    </a>
                {% endfor %}

                {% if model.more_url %}
                    <a href="{{ model.more_url }}" class="item-card item-card-create"
                       rel="tooltip" data-original-title="{{ model.more_tooltip }}">
                        <br/>
                        <span class="icon {{ ICONS.more }}"></span>

                        <div>
                            {{ model.more_text|default:"&ellipse;" }}
                        </div>
                    </a>
                {% endif %}

            </div>
        </div>

    {% else %}
            {# Details #}
            <div class="tab-pane fade-in active" id="items-{{ model.id|default:1 }}-details-pane">
                {% if layout_name == 'hzpc' %}
                <div>
                {% else %}
                <div class="padded-content">
                {% endif %}
                    {% if model.create_url %}
                    {% endif %}

                    {% if model.items.count > 0 %}
                        <table class="table table-striped datatable">
                                <thead>
                                <tr>
                                    {% for column in model.columns %}
                                        <th>
                                            {{ column.header }}
                                        {% if column.slug == 'status'  %}
                                            <a href="{%  url 'help_text_block_detail' 'assessment-state'  %}" target="_blank">
                                                <span class="fa-info-circle fa icon icon-help"></span>
                                            </a>
                                        {% endif %}
                                        </th>
                                    {% endfor %}
                                </tr>
                                </thead>
                            <tbody>
                            {% for row in model.rows %}
                                <tr>
                                    {% comment %}
                                    <td>
                                        <a href="{{ item.url }}">
                                            <span class="icon {{ item.icon_class }}"></span>
                                            {{ item.name }}
                                        </a>
                                    </td>
                                    {% endcomment %}
                                    {% for cell in row.cells %}
                                        <td>
                                            {% if cell.slug == 'progress' %}
                                            {% if cell.text != None and cell.text != '-' %}
                                                <div style="width:100%; padding-right:40px;float:left;">
                                                    <div style="width:100%; background-color:white; border:solid 1px black">
                                                        <div style="background-color:rgb(195,214,155); width: {{ cell.text }}%;">
                                                            &nbsp;
                                                        </div>
                                                    </div>
                                                </div>
                                                <div style="float:right; text-align:right; margin-left:-40px; width: 40px"><!--{{ cell.text }}%--></div>
                                            {% else %}
                                                -
                                            {% endif %}
                                            {% else %}
                                                {% if cell.url %}
                                                    <a href="{{ cell.url }}">
                                                    {% if "assessment_reuse" in cell.icon_class %}
                                                        <i class="icon {{ cell.icon_class }}"></i>
                                                    {% endif %}
                                                        {{ cell.text }}
                                                    </a>
                                                {% else %}
                                                    <span class="icon {{ cell.icon_class }}"></span>
                                                    {{ cell.text }}
                                                {% endif %}
                                            {% endif %}
                                        </td>
                                    {% endfor %}
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    {% else %}
                        {% if layout_name == 'hzpc' %}
                        <div>
                        {% else %}
                        <div class="padded-content">
                        {% endif %}
                            <div class="alert">
                                {{ model.no_items_text|default:_("No items available") }}
                            </div>
                        </div>
                    {% endif %}
                </div>
            </div>
    {% endif %}

    {% if not model.hide_bottom_toolbar %}
        <div class="toolbar wide">
            {% if model.bottom_button_url %}
                <a href="{{ model.bottom_button_url }}" class="btn btn-default"
                    rel="tooltip" data-original-title="{{ model.bottom_button_tooltip }}">
                    <span class="{{ ICONS.angle_right }}"></span>
                    {{ model.bottom_button_text }}
                </a>
            {% endif %}
        </div>
    {% endif %}
</div>
